Bug 1031032 - undefined local variable or method `log' exception
undefined local variable or method `log' exception
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Katello QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-15 08:59 EST by Ales Dujicek
Modified: 2014-06-19 14:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-05 14:03:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Dujicek 2013-11-15 08:59:45 EST
Description of problem:

I am getting following exception when filling date or time with wrong value when creating Sync Plan:

undefined local variable or method `log' for #<SyncPlansController:0x0000000aedf940> (NameError)
Click here for more details.


and similar exception when creating content filer errata rule (there are two date input fields)

undefined local variable or method `log' for #<FilterRulesController:0x0000000a45b870> (NameError)
Click here for more details.


Version-Release number of selected component (if applicable):
ruby193-rubygem-katello-foreman-engine-0.0.12-7.el6sat.noarch
ruby193-rubygem-katello_api-0.0.3-4.el6sat.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-certs-tools-1.4.4-1.el6sat.noarch
katello-common-1.4.6-63.el6sat.noarch
katello-glue-elasticsearch-1.4.6-63.el6sat.noarch
katello-cli-1.4.3-29.el6sat.noarch
katello-all-1.4.6-63.el6sat.noarch
ruby193-rubygem-foreman-katello-engine-0.0.17-7.el6sat.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-agent-1.4.4-3.el6sat.noarch
katello-glue-candlepin-1.4.6-63.el6sat.noarch
katello-cli-common-1.4.3-29.el6sat.noarch
katello-1.4.6-63.el6sat.noarch
pulp-katello-plugins-0.2-1.el6sat.noarch
katello-configure-foreman-1.4.7-7.el6sat.noarch
katello-glue-pulp-1.4.6-63.el6sat.noarch
katello-selinux-1.4.4-4.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-foreman-all-1.4.6-63.el6sat.noarch
katello-configure-1.4.7-7.el6sat.noarch
signo-katello-0.0.23-2.el6sat.noarch
Comment 2 Walden Raines 2014-04-09 18:17:18 EDT
This is no longer valid.

Note You need to log in before you can comment on or make changes to this bug.